=== debian/changelog ===
phase2 (0.1.0-2) stretch; urgency=medium

  * tmp dir fixed

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 Sep 2017 13:51:16 +0200

phase2 (0.1.0-1) stretch; urgency=medium

  * phase first package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 Sep 2017 11:29:40 +0200
