=== debian/control ===
Source: phase2
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: science
Priority: optional
Build-Depends: debhelper (>= 9), cmake (>= 2.6), libpappsomspp-dev (= 0.2.37-1), libpwiz-dev, libodsstream-dev
Standards-Version: 3.9.4

Package: phase2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}, libpappsomspp-qt5 (= 0.2.37-1), libpwiz3,
         libodsstream-qt5
Pre-Depends: ${misc:Pre-Depends}
Description: Peptide identifier using mass spectrometry LC/MS method and MS/MS fragmentation
 Peptide identifier using mass spectrometry LC/MS method and MS/MS fragmentation.

Package: phase2-dbgsym
Auto-Built-Package: debug-symbols
Priority: extra
Section: debug 
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Peptide identifier using mass spectrometry LC/MS method and MS/MS fragmentation
 Peptide identifier using mass spectrometry LC/MS method and MS/MS fragmentation.
